pubkey

package
v0.2.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Jun 16, 2021 License: Apache-2.0 Imports: 8 Imported by: 0

Documentation

Index

Constants

View Source
const GetPublicKeyOKCode int = 200

GetPublicKeyOKCode is the HTTP code returned for type GetPublicKeyOK

View Source
const GetTimestampCertChainOKCode int = 200

GetTimestampCertChainOKCode is the HTTP code returned for type GetTimestampCertChainOK

Variables

This section is empty.

Functions

This section is empty.

Types

type GetPublicKey

type GetPublicKey struct {
	Context *middleware.Context
	Handler GetPublicKeyHandler
}
GetPublicKey swagger:route GET /api/v1/log/publicKey pubkey getPublicKey

Retrieve the public key that can be used to validate the signed tree head

Returns the public key that can be used to validate the signed tree head

func NewGetPublicKey

func NewGetPublicKey(ctx *middleware.Context, handler GetPublicKeyHandler) *GetPublicKey

NewGetPublicKey creates a new http.Handler for the get public key operation

func (*GetPublicKey) ServeHTTP

func (o *GetPublicKey) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetPublicKeyDefault

type GetPublicKeyDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetPublicKeyDefault There was an internal error in the server while processing the request

swagger:response getPublicKeyDefault

func NewGetPublicKeyDefault

func NewGetPublicKeyDefault(code int) *GetPublicKeyDefault

NewGetPublicKeyDefault creates GetPublicKeyDefault with default headers values

func (*GetPublicKeyDefault) SetPayload

func (o *GetPublicKeyDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get public key default response

func (*GetPublicKeyDefault) SetStatusCode

func (o *GetPublicKeyDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get public key default response

func (*GetPublicKeyDefault) WithPayload

func (o *GetPublicKeyDefault) WithPayload(payload *models.Error) *GetPublicKeyDefault

WithPayload adds the payload to the get public key default response

func (*GetPublicKeyDefault) WithStatusCode

func (o *GetPublicKeyDefault) WithStatusCode(code int) *GetPublicKeyDefault

WithStatusCode adds the status to the get public key default response

func (*GetPublicKeyDefault) WriteResponse

func (o *GetPublicKeyDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetPublicKeyHandler

type GetPublicKeyHandler interface {
	Handle(GetPublicKeyParams) middleware.Responder
}

GetPublicKeyHandler interface for that can handle valid get public key params

type GetPublicKeyHandlerFunc

type GetPublicKeyHandlerFunc func(GetPublicKeyParams) middleware.Responder

GetPublicKeyHandlerFunc turns a function with the right signature into a get public key handler

func (GetPublicKeyHandlerFunc) Handle

Handle executing the request and returning a response

type GetPublicKeyOK

type GetPublicKeyOK struct {

	/*
	  In: Body
	*/
	Payload string `json:"body,omitempty"`
}

GetPublicKeyOK The public key

swagger:response getPublicKeyOK

func NewGetPublicKeyOK

func NewGetPublicKeyOK() *GetPublicKeyOK

NewGetPublicKeyOK creates GetPublicKeyOK with default headers values

func (*GetPublicKeyOK) SetPayload

func (o *GetPublicKeyOK) SetPayload(payload string)

SetPayload sets the payload to the get public key o k response

func (*GetPublicKeyOK) WithPayload

func (o *GetPublicKeyOK) WithPayload(payload string) *GetPublicKeyOK

WithPayload adds the payload to the get public key o k response

func (*GetPublicKeyOK) WriteResponse

func (o *GetPublicKeyOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetPublicKeyParams

type GetPublicKeyParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

GetPublicKeyParams contains all the bound params for the get public key operation typically these are obtained from a http.Request

swagger:parameters getPublicKey

func NewGetPublicKeyParams

func NewGetPublicKeyParams() GetPublicKeyParams

NewGetPublicKeyParams creates a new GetPublicKeyParams object

There are no default values defined in the spec.

func (*GetPublicKeyParams) BindRequest

func (o *GetPublicKeyParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetPublicKeyParams() beforehand.

type GetPublicKeyURL

type GetPublicKeyURL struct {
	// contains filtered or unexported fields
}

GetPublicKeyURL generates an URL for the get public key operation

func (*GetPublicKeyURL) Build

func (o *GetPublicKeyURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetPublicKeyURL) BuildFull

func (o *GetPublicKeyURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetPublicKeyURL) Must

func (o *GetPublicKeyURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetPublicKeyURL) SetBasePath

func (o *GetPublicKeyURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetPublicKeyURL) String

func (o *GetPublicKeyURL) String() string

String returns the string representation of the path with query string

func (*GetPublicKeyURL) StringFull

func (o *GetPublicKeyURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetPublicKeyURL) WithBasePath

func (o *GetPublicKeyURL) WithBasePath(bp string) *GetPublicKeyURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetTimestampCertChain

type GetTimestampCertChain struct {
	Context *middleware.Context
	Handler GetTimestampCertChainHandler
}
GetTimestampCertChain swagger:route GET /api/v1/log/timestampCertChain pubkey getTimestampCertChain

Retrieve the certfiicate chain for timestamping that can be used to validate trusted timestamps

Returns the certfiicate chain for timestamping that can be used to validate trusted timestamps

func NewGetTimestampCertChain

func NewGetTimestampCertChain(ctx *middleware.Context, handler GetTimestampCertChainHandler) *GetTimestampCertChain

NewGetTimestampCertChain creates a new http.Handler for the get timestamp cert chain operation

func (*GetTimestampCertChain) ServeHTTP

func (o *GetTimestampCertChain) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetTimestampCertChainDefault

type GetTimestampCertChainDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetTimestampCertChainDefault There was an internal error in the server while processing the request

swagger:response getTimestampCertChainDefault

func NewGetTimestampCertChainDefault

func NewGetTimestampCertChainDefault(code int) *GetTimestampCertChainDefault

NewGetTimestampCertChainDefault creates GetTimestampCertChainDefault with default headers values

func (*GetTimestampCertChainDefault) SetPayload

func (o *GetTimestampCertChainDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get timestamp cert chain default response

func (*GetTimestampCertChainDefault) SetStatusCode

func (o *GetTimestampCertChainDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get timestamp cert chain default response

func (*GetTimestampCertChainDefault) WithPayload

WithPayload adds the payload to the get timestamp cert chain default response

func (*GetTimestampCertChainDefault) WithStatusCode

WithStatusCode adds the status to the get timestamp cert chain default response

func (*GetTimestampCertChainDefault) WriteResponse

func (o *GetTimestampCertChainDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTimestampCertChainHandler

type GetTimestampCertChainHandler interface {
	Handle(GetTimestampCertChainParams) middleware.Responder
}

GetTimestampCertChainHandler interface for that can handle valid get timestamp cert chain params

type GetTimestampCertChainHandlerFunc

type GetTimestampCertChainHandlerFunc func(GetTimestampCertChainParams) middleware.Responder

GetTimestampCertChainHandlerFunc turns a function with the right signature into a get timestamp cert chain handler

func (GetTimestampCertChainHandlerFunc) Handle

Handle executing the request and returning a response

type GetTimestampCertChainOK

type GetTimestampCertChainOK struct {

	/*
	  In: Body
	*/
	Payload string `json:"body,omitempty"`
}

GetTimestampCertChainOK The PEM encoded cert chain

swagger:response getTimestampCertChainOK

func NewGetTimestampCertChainOK

func NewGetTimestampCertChainOK() *GetTimestampCertChainOK

NewGetTimestampCertChainOK creates GetTimestampCertChainOK with default headers values

func (*GetTimestampCertChainOK) SetPayload

func (o *GetTimestampCertChainOK) SetPayload(payload string)

SetPayload sets the payload to the get timestamp cert chain o k response

func (*GetTimestampCertChainOK) WithPayload

func (o *GetTimestampCertChainOK) WithPayload(payload string) *GetTimestampCertChainOK

WithPayload adds the payload to the get timestamp cert chain o k response

func (*GetTimestampCertChainOK) WriteResponse

func (o *GetTimestampCertChainOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTimestampCertChainParams

type GetTimestampCertChainParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

GetTimestampCertChainParams contains all the bound params for the get timestamp cert chain operation typically these are obtained from a http.Request

swagger:parameters getTimestampCertChain

func NewGetTimestampCertChainParams

func NewGetTimestampCertChainParams() GetTimestampCertChainParams

NewGetTimestampCertChainParams creates a new GetTimestampCertChainParams object

There are no default values defined in the spec.

func (*GetTimestampCertChainParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetTimestampCertChainParams() beforehand.

type GetTimestampCertChainURL

type GetTimestampCertChainURL struct {
	// contains filtered or unexported fields
}

GetTimestampCertChainURL generates an URL for the get timestamp cert chain operation

func (*GetTimestampCertChainURL) Build

func (o *GetTimestampCertChainURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetTimestampCertChainURL) BuildFull

func (o *GetTimestampCertChainURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetTimestampCertChainURL) Must

func (o *GetTimestampCertChainURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetTimestampCertChainURL) SetBasePath

func (o *GetTimestampCertChainURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetTimestampCertChainURL) String

func (o *GetTimestampCertChainURL) String() string

String returns the string representation of the path with query string

func (*GetTimestampCertChainURL) StringFull

func (o *GetTimestampCertChainURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetTimestampCertChainURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL